%define api 1.0
%define clutterapi 1.0
%define major 0
%define libname %mklibname %{name} %{api} %{major}
%define girname %mklibname %{name}-gir %{api}
%define devname %mklibname %{name} %{api} -d

%define gstapi 0.10
%define gstname gstreamer%{gstapi}-gstclutter

Summary:	GST video texture actor and audio player object for Clutter
Name:		clutter-gst
Version:	1.6.0
Release:	5
License:	LGPLv2+
Group:		Graphics
Url:		http://clutter-project.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Patch0:		clutter-gst-1.6.0-needless-glint.patch
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(clutter-1.0) >= 1.6.14
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.36.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-%{gstapi})

%description
An integration library for using GStreamer with Clutter.
GST video texture actor and audio player object.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	GST video texture actor and audio player object for Clutter
Group:		System/Libraries
Requires:	gstreamer0.10-plugins-base
Requires:	%{girname} = %{EVRD}
Requires:	%{gstname} = %{EVRD}

%description -n %{libname}
An integration library for using GStreamer with Clutter.
GST video texture actor and audio player object.

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}clutter-gst1.0_0 < 1.6.0-3

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/ClutterGst-%{clutterapi}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development headers/libraries for %{name}
Group:		Development/X11
Provides:	%{name}-devel = %{EVRD}
Requires:	%{libname} = %{EVRD}

%description -n %{devname}
Development headers/libraries for %{name}.
(see %{libname} package)

%files -n %{devname}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so
%dir %{_includedir}/clutter-%{clutterapi}/%{name}
%{_includedir}/clutter-%{clutterapi}/%{name}/*.h
%{_datadir}/gir-1.0/ClutterGst-%{clutterapi}.gir

#----------------------------------------------------------------------------

%package -n %{gstname}
Summary:	Gstreamer plugin for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}clutter-gst1.0_0 < 1.6.0-3

%description -n %{gstname}
Standalone gstreamer plugin for %{name}.

%files -n %{gstname}
%{_libdir}/gstreamer-%{gstapi}/libgstclutter.so

#----------------------------------------------------------------------------

%package doc
Summary:	API reference for clutter-gst
Group:		Development/Other

%description doc
Documentation for Clutter-Gst.

%files doc
%dir %{_datadir}/gtk-doc/html/%{name}
%doc %{_datadir}/gtk-doc/html/%{name}/*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf
%configure2_5x \
	--disable-static \
	--enable-gtk-doc \
	--enable-introspection
%make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.6.0-5
+ Revision: 1a276cb
- MassBuild#440: Increase release tag


